/** 
 *   geo: Calculate distance, bearing and more between
 *   Latitude/Longitude points
 *
 *   Based on: http://www.movable-type.co.uk/scripts/latlong.html
 *
 *   (c) Copyright 2009 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _GEO_H
#define _GEO_H


double geo_distance(double from_lat, double from_lon,
		       double to_lat, double to_lon );

double geo_bearing(double from_lat, double from_lon,
		      double to_lat, double to_lon );

void geo_dist_ber2dest_point(double from_lat, double from_lon,
			     double theta, double distance,
			     double *to_lat, double *to_lon);

#endif /* _GEO_H */
