/** 
 *   my_xcomp_Qt: Rapper para las funciones de des/compresion de Qt3
 *
 *   (c) Copyright 2009 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   FIXME: Este modulo debe ser reemplazado por un rapper sobre zlib.
 **/

#include <stdlib.h>
#include <stdint.h>

#include <qcstring.h>

extern "C" {

void *my_comp( const void *data_in, size_t  size_in, size_t  *size_out)
{
	void *data_out = NULL;

	QByteArray com;

	*size_out = 0;
	com = qCompress((const uchar *) data_in, size_in);
	if ( com.data() != NULL) {
		*size_out = (size_t) com.size();
		data_out = (void *) malloc(*size_out);
		memcpy(data_out, (void *) com.data(), *size_out);
		com.~QByteArray();
	}

	return data_out;
}


void *my_uncomp( const void *data_in, size_t  size_in, size_t  *size_out)
{
	void *data_out = NULL;
	QByteArray decom;

	*size_out = 0;
	decom = qUncompress((const uchar *) data_in, size_in);
	if ( decom.data() != NULL) {
		*size_out = (size_t) decom.size();
		data_out = (void *) malloc(*size_out);
		memcpy(data_out, (void *) decom.data(), *size_out);
		decom.~QByteArray();
	}

	return data_out;
}

}
