/** 
 *   radar.h: Datos cumunes en los archivos de datos. 
 *
 *   (c) Copyright 2010 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *   
 **/

#ifndef _RADAR_H
#define _RADAR_H

#include <time.h>

typedef struct {
	double lat;
	double lon;
	double alt;
	char *id;
	time_t t;
	struct tm tm;
	double beamwidth; /* Beamwidth of radar antenna in degree. */
} radar_info;


#define RI_GET_LAT(ri)	ri->lat
#define RI_GET_LON(ri)	ri->lon
#define RI_GET_ALT(ri)	ri->alt
#define RI_GET_ID(ri)	ri->id
#define RI_GET_TIME(ri)	ri->t
#define RI_GET_TM(ri)	ri->tm
#define RI_GET_BEAMWIDTH(ri) ri->beamwidth

radar_info *ri_make(void);
int ri_set_pos_data( radar_info *ri, const char **val);
int ri_set_time_data( radar_info *ri, const char **val);
void ri_free(radar_info *ri);

#endif /* _RADAR_H */
